<?php
class controller_block_unicomments_last extends block {

	public function action_index($block) {
		$params = unserialize($block['params']);
		$limit = intval($params['limit']);
		if ($limit < 0) $limit = 10;

		$this->data['header'] = $params['header'];
		$this->data['block_id'] = $block['id'];
		$this->data['access_lvl'] = isset($_SESSION['access']) ? $_SESSION['access'] : 0;
		$this->data['comments'] = $this->dbh->query("
			SELECT * FROM unicomments ORDER BY date_add DESC LIMIT $limit
		");

		$this->page['head'] = $this->add_css_file(SITE_URL.'/modules/blocks/unicomments_last/views/style.css');
		$this->page['html'] = $this->load_view();
		return $this->page;
	}


	public function action_activate() {
		$params = Array(
			'header' => 'Новые коментарии',
			'limit'	 => 10
		);

		foreach($params as $key=>$value) if (isset($_POST[$key])) $params[$key] = $_POST[$key];
		$this->data['params'] = $params;

		if (isset($_POST['activate'])) {
			return Array('params' => serialize($params), 'html' => $this->load_view('settings'));
		} else {
			$this->page['html'] = $this->load_view('settings');
			return $this->page;
		}
	}


	public function action_settings($block) {
		$params = unserialize($block['params']);
		
		foreach($params as $key=>$value) if (isset($_POST[$key])) $params[$key] = $_POST[$key];

		if (isset($_POST['edit_settings'])) {
			return Array('params' => serialize($params));
		} else {
			$this->data['params'] = $params;
			$this->page['html'] = $this->load_view('settings');
			return $this->page;
		}
	}
}